Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1570616 - Import fails after unmanage of cluster with specified Cluster Name
Summary: Import fails after unmanage of cluster with specified Cluster Name
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: web-admin-tendrl-node-agent
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.4.0
Assignee: gowtham
QA Contact: Filip Balák
URL:
Whiteboard:
Depends On:
Blocks: 1503137
TreeView+ depends on / blocked
 
Reported: 2018-04-23 10:48 UTC by Filip Balák
Modified: 2018-09-04 07:05 UTC (History)
5 users (show)

Fixed In Version: tendrl-ui-1.6.3-2.el7rhgs tendrl-ansible-1.6.3-4.el7rhgs tendrl-notifier-1.6.3-3.el7rhgs tendrl-commons-1.6.3-5.el7rhgs tendrl-api-1.6.3-3.el7rhgs tendrl-monitoring-integration-1.6.3-3.el7rhgs tendrl-node-agent-1.6.3-5.el7rhgs
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 07:04:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github Tendrl monitoring-integration pull 430 0 None None None 2018-05-02 08:06:48 UTC
Red Hat Product Errata RHSA-2018:2616 0 None None None 2018-09-04 07:05:55 UTC

Description Filip Balák 2018-04-23 10:48:58 UTC
Description of problem:
Import without specified user-friendly Cluster name of cluster that used to have specified user-friendly Cluster name and was unmanaged usually fails with these errors:
```
error
Failure in Job 16e6f29f-f742-432a-ba4b-b76b71c31ebb Flow tendrl.flows.ImportCluster with error: Traceback (most recent call last): File "/usr/lib/python2.7/site-packages/tendrl/commons/jobs/__init__.py", line 213, in process_job the_flow.run() File "/usr/lib/python2.7/site-packages/tendrl/commons/flows/import_cluster/__init__.py", line 123, in run raise ex AtomExecutionFailedError: Atom Execution failed. Error: Error executing post run function: tendrl.objects.Cluster.atoms.SetupClusterAlias
23 Apr 2018 12:21:07
error
Failed post-run: tendrl.objects.Cluster.atoms.SetupClusterAlias for flow: Import existing Gluster Cluster
23 Apr 2018 12:21:07
error
Setting up cluster aliasnot yet complete. Timing out. (5d8640f5-8d33-42f5-a11e-bd35e2758fa3)
23 Apr 2018 12:21:07
```

Version-Release number of selected component (if applicable):
glusterfs-3.12.2-8.el7rhgs.x86_64
tendrl-ansible-1.6.3-2.el7rhgs.noarch
tendrl-api-1.6.3-1.el7rhgs.noarch
tendrl-api-httpd-1.6.3-1.el7rhgs.noarch
tendrl-commons-1.6.3-2.el7rhgs.noarch
tendrl-grafana-plugins-1.6.3-1.el7rhgs.noarch
tendrl-grafana-selinux-1.5.4-2.el7rhgs.noarch
tendrl-monitoring-integration-1.6.3-1.el7rhgs.noarch
tendrl-node-agent-1.6.3-2.el7rhgs.noarch
tendrl-notifier-1.6.3-2.el7rhgs.noarch
tendrl-selinux-1.5.4-2.el7rhgs.noarch
tendrl-ui-1.6.3-1.el7rhgs.noarch

How reproducible:
4/5 experiments

Steps to Reproduce:
1. Import cluster, during import set Cluster Name to `namedcluster`
2. Unmanage imported cluster
3. Import the cluster, leave Cluster Name blank.

Actual results:
Import fails most of the times.

Expected results:
Import should pass.

Additional info:

Comment 2 gowtham 2018-05-02 08:05:12 UTC
When a cluster is created then alias name is created using given short_name, but the problem is monitoring-integration sync also creates an alias for the same cluster using integration_id, So for same cluster two alias present. When a cluster is un-managed then only alias which is created using short_name only deleted. Alias with integration_id won't delete, so when we try to import without short-name then import flow will try to create an alias using integration_id but alias with integration_id already present from last import. So monitoring-integration raised an exception. and the exception is not handled by anyone. So job thread in monitoring-integration fails. So the job is not updated so import flow is a timeout.

This issue is fixed in latest build Tendrl/monitoring-integration/pull/430 please try once again

Comment 3 gowtham 2018-05-02 08:06:48 UTC
sorry, not in the upcoming build, it is merged in upstream

Comment 6 Filip Balák 2018-06-06 11:22:59 UTC
I ran 5 experiments. All successful.
--> VERIFIED

Tested with:
tendrl-ansible-1.6.3-4.el7rhgs.noarch
tendrl-api-1.6.3-3.el7rhgs.noarch
tendrl-api-httpd-1.6.3-3.el7rhgs.noarch
tendrl-commons-1.6.3-6.el7rhgs.noarch
tendrl-gluster-integration-1.6.3-4.el7rhgs.noarch
tendrl-grafana-plugins-1.6.3-4.el7rhgs.noarch
tendrl-grafana-selinux-1.5.4-2.el7rhgs.noarch
tendrl-monitoring-integration-1.6.3-4.el7rhgs.noarch
tendrl-node-agent-1.6.3-6.el7rhgs.noarch
tendrl-notifier-1.6.3-3.el7rhgs.noarch
tendrl-selinux-1.5.4-2.el7rhgs.noarch
tendrl-ui-1.6.3-3.el7rhgs.noarch

Comment 8 errata-xmlrpc 2018-09-04 07:04:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2616


Note You need to log in before you can comment on or make changes to this bug.